source: squid-ssl/trunk/fuentes/src/servers/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 39.5 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/servers/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = src/servers
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libservers_la_LIBADD =
162am_libservers_la_OBJECTS = FtpServer.lo HttpServer.lo
163libservers_la_OBJECTS = $(am_libservers_la_OBJECTS)
164AM_V_lt = $(am__v_lt_$(V))
165am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
166am__v_lt_0 = --silent
167am__v_lt_1 = 
168AM_V_P = $(am__v_P_$(V))
169am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
170am__v_P_0 = false
171am__v_P_1 = :
172AM_V_GEN = $(am__v_GEN_$(V))
173am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
174am__v_GEN_0 = @echo "  GEN     " $@;
175am__v_GEN_1 = 
176AM_V_at = $(am__v_at_$(V))
177am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
178am__v_at_0 = @
179am__v_at_1 = 
180DEFAULT_INCLUDES = 
181depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
182am__depfiles_maybe = depfiles
183am__mv = mv -f
184CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
185        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
186LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
187        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
188        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
189        $(AM_CXXFLAGS) $(CXXFLAGS)
190AM_V_CXX = $(am__v_CXX_$(V))
191am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
192am__v_CXX_0 = @echo "  CXX     " $@;
193am__v_CXX_1 = 
194CXXLD = $(CXX)
195CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
197        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_CXXLD = $(am__v_CXXLD_$(V))
199am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
200am__v_CXXLD_0 = @echo "  CXXLD   " $@;
201am__v_CXXLD_1 = 
202COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
203        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
204LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
206        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
207        $(AM_CFLAGS) $(CFLAGS)
208AM_V_CC = $(am__v_CC_$(V))
209am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
210am__v_CC_0 = @echo "  CC      " $@;
211am__v_CC_1 = 
212CCLD = $(CC)
213LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
215        $(AM_LDFLAGS) $(LDFLAGS) -o $@
216AM_V_CCLD = $(am__v_CCLD_$(V))
217am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
218am__v_CCLD_0 = @echo "  CCLD    " $@;
219am__v_CCLD_1 = 
220SOURCES = $(libservers_la_SOURCES)
221DIST_SOURCES = $(libservers_la_SOURCES)
222am__can_run_installinfo = \
223  case $$AM_UPDATE_INFO_DIR in \
224    n|no|NO) false;; \
225    *) (install-info --version) >/dev/null 2>&1;; \
226  esac
227am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
228# Read a list of newline-separated strings from the standard input,
229# and print each of them once, without duplicates.  Input order is
230# *not* preserved.
231am__uniquify_input = $(AWK) '\
232  BEGIN { nonempty = 0; } \
233  { items[$$0] = 1; nonempty = 1; } \
234  END { if (nonempty) { for (i in items) print i; }; } \
235'
236# Make sure the list of sources is unique.  This is necessary because,
237# e.g., the same source file might be shared among _SOURCES variables
238# for different programs/libraries.
239am__define_uniq_tagged_files = \
240  list='$(am__tagged_files)'; \
241  unique=`for i in $$list; do \
242    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
243  done | $(am__uniquify_input)`
244ETAGS = etags
245CTAGS = ctags
246am__tty_colors_dummy = \
247  mgn= red= grn= lgn= blu= brg= std=; \
248  am__color_tests=no
249am__tty_colors = { \
250  $(am__tty_colors_dummy); \
251  if test "X$(AM_COLOR_TESTS)" = Xno; then \
252    am__color_tests=no; \
253  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
254    am__color_tests=yes; \
255  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
256    am__color_tests=yes; \
257  fi; \
258  if test $$am__color_tests = yes; then \
259    red='[0;31m'; \
260    grn='[0;32m'; \
261    lgn='[1;32m'; \
262    blu='[1;34m'; \
263    mgn='[0;35m'; \
264    brg='[1m'; \
265    std='[m'; \
266  fi; \
267}
268am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
269am__vpath_adj = case $$p in \
270    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
271    *) f=$$p;; \
272  esac;
273am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
274am__install_max = 40
275am__nobase_strip_setup = \
276  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
277am__nobase_strip = \
278  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
279am__nobase_list = $(am__nobase_strip_setup); \
280  for p in $$list; do echo "$$p $$p"; done | \
281  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
282  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
283    if (++n[$$2] == $(am__install_max)) \
284      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
285    END { for (dir in files) print dir, files[dir] }'
286am__base_list = \
287  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
288  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
289am__uninstall_files_from_dir = { \
290  test -z "$$files" \
291    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
292    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
293         $(am__cd) "$$dir" && rm -f $$files; }; \
294  }
295am__recheck_rx = ^[     ]*:recheck:[    ]*
296am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
297am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
298# A command that, given a newline-separated list of test names on the
299# standard input, print the name of the tests that are to be re-run
300# upon "make recheck".
301am__list_recheck_tests = $(AWK) '{ \
302  recheck = 1; \
303  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
304    { \
305      if (rc < 0) \
306        { \
307          if ((getline line2 < ($$0 ".log")) < 0) \
308            recheck = 0; \
309          break; \
310        } \
311      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
312        { \
313          recheck = 0; \
314          break; \
315        } \
316      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
317        { \
318          break; \
319        } \
320    }; \
321  if (recheck) \
322    print $$0; \
323  close ($$0 ".trs"); \
324  close ($$0 ".log"); \
325}'
326# A command that, given a newline-separated list of test names on the
327# standard input, create the global log from their .trs and .log files.
328am__create_global_log = $(AWK) ' \
329function fatal(msg) \
330{ \
331  print "fatal: making $@: " msg | "cat >&2"; \
332  exit 1; \
333} \
334function rst_section(header) \
335{ \
336  print header; \
337  len = length(header); \
338  for (i = 1; i <= len; i = i + 1) \
339    printf "="; \
340  printf "\n\n"; \
341} \
342{ \
343  copy_in_global_log = 1; \
344  global_test_result = "RUN"; \
345  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
346    { \
347      if (rc < 0) \
348         fatal("failed to read from " $$0 ".trs"); \
349      if (line ~ /$(am__global_test_result_rx)/) \
350        { \
351          sub("$(am__global_test_result_rx)", "", line); \
352          sub("[        ]*$$", "", line); \
353          global_test_result = line; \
354        } \
355      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
356        copy_in_global_log = 0; \
357    }; \
358  if (copy_in_global_log) \
359    { \
360      rst_section(global_test_result ": " $$0); \
361      while ((rc = (getline line < ($$0 ".log"))) != 0) \
362      { \
363        if (rc < 0) \
364          fatal("failed to read from " $$0 ".log"); \
365        print line; \
366      }; \
367      printf "\n"; \
368    }; \
369  close ($$0 ".trs"); \
370  close ($$0 ".log"); \
371}'
372# Restructured Text title.
373am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
374# Solaris 10 'make', and several other traditional 'make' implementations,
375# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
376# by disabling -e (using the XSI extension "set +e") if it's set.
377am__sh_e_setup = case $$- in *e*) set +e;; esac
378# Default flags passed to test drivers.
379am__common_driver_flags = \
380  --color-tests "$$am__color_tests" \
381  --enable-hard-errors "$$am__enable_hard_errors" \
382  --expect-failure "$$am__expect_failure"
383# To be inserted before the command running the test.  Creates the
384# directory for the log if needed.  Stores in $dir the directory
385# containing $f, in $tst the test, in $log the log.  Executes the
386# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
387# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
388# will run the test scripts (or their associated LOG_COMPILER, if
389# thy have one).
390am__check_pre = \
391$(am__sh_e_setup);                                      \
392$(am__vpath_adj_setup) $(am__vpath_adj)                 \
393$(am__tty_colors);                                      \
394srcdir=$(srcdir); export srcdir;                        \
395case "$@" in                                            \
396  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
397    *) am__odir=.;;                                     \
398esac;                                                   \
399test "x$$am__odir" = x"." || test -d "$$am__odir"       \
400  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
401if test -f "./$$f"; then dir=./;                        \
402elif test -f "$$f"; then dir=;                          \
403else dir="$(srcdir)/"; fi;                              \
404tst=$$dir$$f; log='$@';                                 \
405if test -n '$(DISABLE_HARD_ERRORS)'; then               \
406  am__enable_hard_errors=no;                            \
407else                                                    \
408  am__enable_hard_errors=yes;                           \
409fi;                                                     \
410case " $(XFAIL_TESTS) " in                              \
411  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
412    am__expect_failure=yes;;                            \
413  *)                                                    \
414    am__expect_failure=no;;                             \
415esac;                                                   \
416$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
417# A shell command to get the names of the tests scripts with any registered
418# extension removed (i.e., equivalently, the names of the test logs, with
419# the '.log' extension removed).  The result is saved in the shell variable
420# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
421# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
422# since that might cause problem with VPATH rewrites for suffix-less tests.
423# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
424am__set_TESTS_bases = \
425  bases='$(TEST_LOGS)'; \
426  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
427  bases=`echo $$bases`
428RECHECK_LOGS = $(TEST_LOGS)
429AM_RECURSIVE_TARGETS = check recheck
430TEST_SUITE_LOG = test-suite.log
431TEST_EXTENSIONS =  .test
432LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
433LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
434am__set_b = \
435  case '$@' in \
436    */*) \
437      case '$*' in \
438        */*) b='$*';; \
439          *) b=`echo '$@' | sed 's/\.log$$//'`; \
440       esac;; \
441    *) \
442      b='$*';; \
443  esac
444am__test_logs1 = $(TESTS:=.log)
445am__test_logs2 = $(am__test_logs1:.log=.log)
446TEST_LOGS = $(am__test_logs2:.test.log=.log)
447TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
448TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
449        $(TEST_LOG_FLAGS)
450am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
451        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
452        $(top_srcdir)/src/TestHeaders.am
453DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
454ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
455ADAPTATION_LIBS = adaptation/libadaptation.la
456ALLOCA =
457AMTAR = $${TAR-tar}
458AM_DEFAULT_VERBOSITY = 1
459AR = /usr/bin/ar
460AR_R = /usr/bin/ar r
461AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
462AUTH_MODULES =  basic digest negotiate ntlm
463AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
464AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
465AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
466AWK = gawk
467BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
468BUILDCXX = g++
469BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
470BZR =
471CACHE_EFFECTIVE_USER = proxy
472CC = gcc
473CCDEPMODE = depmode=none
474CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
475CGIEXT = .cgi
476CHMOD = /bin/chmod
477CPP = gcc -E
478CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
479CPPUNITCONFIG = /usr/bin/cppunit-config
480CRYPTLIB = -lcrypt
481CXX = g++
482CXXCPP = g++ -E
483CXXDEPMODE = depmode=none
484CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
485CYGPATH_W = echo
486DEFAULT_HOSTS = /etc/hosts
487DEFAULT_LOG_DIR = /var/log/squid-ssl
488DEFAULT_PID_FILE = /var/run/squid-ssl.pid
489DEFAULT_SWAP_DIR = /var/spool/squid-ssl
490DEFS = -DHAVE_CONFIG_H
491DEPDIR = .deps
492DIGEST_AUTH_HELPERS =  file LDAP
493DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
494DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
495DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
496DISK_OS_LIBS =  -lrt -lpthread
497DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
498DLLTOOL = false
499DSYMUTIL =
500DUMPBIN =
501ECAP_LIBS = ecap/libsquid-ecap.la
502ECHO_C =
503ECHO_N = -n
504ECHO_T =
505EGREP = /bin/egrep
506EPOLL_LIBS =
507EUILIB =
508EXEEXT =
509EXPATLIB = -lexpat
510EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
511EXT_LIBECAP_CFLAGS =
512EXT_LIBECAP_LIBS = -lecap
513FALSE = /bin/false
514FGREP = /bin/fgrep
515GREP = grep
516HAVE_CXX11 = 1
517ICAP_LIBS = icap/libicap.la
518INCLTDL =
519INSTALL = /usr/bin/install -c
520INSTALL_DATA = ${INSTALL} -m 644
521INSTALL_PROGRAM = ${INSTALL}
522INSTALL_SCRIPT = ${INSTALL}
523INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
524KRB5INCS = -isystem /usr/include/mit-krb5
525KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
526LBERLIB = -llber
527LD = /usr/bin/ld -m elf_x86_64
528LDAPLIB = -lldap
529LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
530LIBADD_DL = -ldl
531LIBADD_DLD_LINK =
532LIBADD_DLOPEN = -ldl
533LIBADD_SHL_LOAD =
534LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
535LIBGNUTLS_LIBS = -lgnutls
536LIBLTDL = -lltdl
537LIBOBJS =
538LIBOPENSSL_CFLAGS =
539LIBOPENSSL_LIBS = -lssl -lcrypto
540LIBS =
541LIBSASL = -lsasl2
542LIBTOOL = $(SHELL) $(top_builddir)/libtool
543LIB_DB = -ldb
544LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
545LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
546LINUXDOC = /bin/false
547LIPO =
548LN = /bin/ln
549LN_S = ln -s
550LOG_DAEMON_HELPERS =  DB file
551LTDLDEPS =
552LTDLINCL =
553LTDLOPEN = libltdl
554LTLIBOBJS =
555LT_ARGZ_H =
556LT_CONFIG_H = include/autoconf.h
557LT_DLLOADERS =  libltdl/dlopen.la
558LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
559LT_SYS_LIBRARY_PATH =
560MAINT = #
561MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
562MANIFEST_TOOL = :
563MINGW_LIBS =
564MKDIR = /bin/mkdir
565MKDIR_P = /bin/mkdir -p
566MV = /bin/mv
567NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
568NETTLELIB =  -lnettle
569NM = /usr/bin/nm -B
570NMEDIT =
571NTLM_AUTH_HELPERS =  fake smb_lm
572OBJDUMP = objdump
573OBJEXT = o
574OTOOL =
575OTOOL64 =
576PACKAGE = squid
577PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
578PACKAGE_NAME = Squid Web Proxy
579PACKAGE_STRING = Squid Web Proxy 3.5.12
580PACKAGE_TARNAME = squid
581PACKAGE_URL =
582PACKAGE_VERSION = 3.5.12
583PATH_SEPARATOR = :
584PERL = /usr/bin/perl
585PKG_CONFIG = /usr/bin/pkg-config
586PKG_CONFIG_LIBDIR =
587PKG_CONFIG_PATH =
588PO2HTML = off
589PO2TEXT = off
590POD2MAN = /usr/bin/pod2man
591RANLIB = ranlib
592REGEXLIB =
593REPL_LIBS = liblru.a libheap.a
594REPL_OBJS = repl/liblru.a repl/libheap.a
595REPL_POLICIES = lru heap
596RM = /bin/rm -f
597SED = /bin/sed
598SET_MAKE =
599SH = /bin/sh
600SHELL = /bin/bash
601SMBCLIENT = /usr/bin/smbclient
602SNMPLIB = ../lib/snmplib/libsnmplib.la
603SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
604SQUID_CPPUNIT_INC =
605SQUID_CPPUNIT_LA =
606SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
607SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
608SSLLIB =  -lssl -lcrypto  -lgnutls
609STOREID_REWRITE_HELPERS =  file
610STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
611STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
612STORE_TESTS =
613STRIP = strip
614TR = /usr/bin/tr
615TRUE = /bin/true
616URL_REWRITE_HELPERS =  fake
617VERSION = 3.5.12
618WBINFO =
619WIN32_PSAPI =
620XMLLIB = -lxml2
621XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
622XTRA_OBJS =
623abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/servers
624abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/servers
625abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
626abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
627ac_ct_AR =
628ac_ct_CC = gcc
629ac_ct_CXX = g++
630ac_ct_DUMPBIN =
631am__include = include
632am__leading_dot = .
633am__quote =
634am__tar = tar --format=ustar -chf - "$$tardir"
635am__untar = tar -xf -
636bindir = ${exec_prefix}/bin
637build = x86_64-pc-linux-gnu
638build_alias = x86_64-linux-gnu
639build_cpu = x86_64
640build_os = linux-gnu
641build_vendor = pc
642builddir = .
643datadir = /usr/share/squid-ssl
644datarootdir = ${prefix}/share
645docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
646dvidir = ${docdir}
647exec_prefix = ${prefix}
648host = x86_64-pc-linux-gnu
649host_alias =
650host_cpu = x86_64
651host_os = linux-gnu
652host_vendor = pc
653htmldir = ${docdir}
654includedir = ${prefix}/include
655infodir = ${prefix}/share/info
656install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
657krb5_config =
658libdir = ${exec_prefix}/lib
659libexecdir = /usr/lib/squid-ssl
660localedir = ${datarootdir}/locale
661localstatedir = /var
662ltdl_LIBOBJS =  lt__strl.o
663ltdl_LTLIBOBJS =  lt__strl.lo
664mandir = /usr/share/man
665mkdir_p = $(MKDIR_P)
666oldincludedir = /usr/include
667pdfdir = ${docdir}
668prefix = /usr
669program_transform_name = s&$$&-ssl&
670psdir = ${docdir}
671runstatedir = ${localstatedir}/run
672sbindir = ${exec_prefix}/sbin
673sharedstatedir = ${prefix}/com
674srcdir = .
675subdirs =  libltdl
676sys_symbol_underscore = no
677sysconfdir = /etc/squid-ssl
678target_alias =
679top_build_prefix = ../../
680top_builddir = ../..
681top_srcdir = ../..
682AM_CFLAGS = $(SQUID_CFLAGS)
683AM_CXXFLAGS = $(SQUID_CXXFLAGS)
684CLEANFILES = testHeaders
685TESTS = testHeaders
686AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
687        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
688        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
689        $(am__append_1)
690LIBPROFILER =
691#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
692COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
693subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
694noinst_LTLIBRARIES = libservers.la
695libservers_la_SOURCES = \
696        FtpServer.cc \
697        FtpServer.h \
698        HttpServer.cc \
699        forward.h
700
701all: all-am
702
703.SUFFIXES:
704.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
705$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
706        @for dep in $?; do \
707          case '$(am__configure_deps)' in \
708            *$$dep*) \
709              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
710                && { if test -f $@; then exit 0; else break; fi; }; \
711              exit 1;; \
712          esac; \
713        done; \
714        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/servers/Makefile'; \
715        $(am__cd) $(top_srcdir) && \
716          $(AUTOMAKE) --gnu src/servers/Makefile
717Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
718        @case '$?' in \
719          *config.status*) \
720            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
721          *) \
722            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
723            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
724        esac;
725$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
726
727$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
728        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
729
730$(top_srcdir)/configure: # $(am__configure_deps)
731        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
732$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
733        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
734$(am__aclocal_m4_deps):
735
736clean-noinstLTLIBRARIES:
737        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
738        @list='$(noinst_LTLIBRARIES)'; \
739        locs=`for p in $$list; do echo $$p; done | \
740              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
741              sort -u`; \
742        test -z "$$locs" || { \
743          echo rm -f $${locs}; \
744          rm -f $${locs}; \
745        }
746
747libservers.la: $(libservers_la_OBJECTS) $(libservers_la_DEPENDENCIES) $(EXTRA_libservers_la_DEPENDENCIES)
748        $(AM_V_CXXLD)$(CXXLINK)  $(libservers_la_OBJECTS) $(libservers_la_LIBADD) $(LIBS)
749
750clean-checkPROGRAMS:
751        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
752        echo " rm -f" $$list; \
753        rm -f $$list || exit $$?; \
754        test -n "$(EXEEXT)" || exit 0; \
755        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
756        echo " rm -f" $$list; \
757        rm -f $$list
758
759mostlyclean-compile:
760        -rm -f *.$(OBJEXT)
761
762distclean-compile:
763        -rm -f *.tab.c
764
765#include ./$(DEPDIR)/FtpServer.Plo
766#include ./$(DEPDIR)/HttpServer.Plo
767
768.cc.o:
769#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
770#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
771#       $(am__mv) $$depbase.Tpo $$depbase.Po
772#       $(AM_V_CXX)source='$<' object='$@' libtool=no
773#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
774        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
775
776.cc.obj:
777#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
778#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
779#       $(am__mv) $$depbase.Tpo $$depbase.Po
780#       $(AM_V_CXX)source='$<' object='$@' libtool=no
781#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
782        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
783
784.cc.lo:
785#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
786#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
787#       $(am__mv) $$depbase.Tpo $$depbase.Plo
788#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
789#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
790        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
791
792mostlyclean-libtool:
793        -rm -f *.lo
794
795clean-libtool:
796        -rm -rf .libs _libs
797
798ID: $(am__tagged_files)
799        $(am__define_uniq_tagged_files); mkid -fID $$unique
800tags: tags-am
801TAGS: tags
802
803tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
804        set x; \
805        here=`pwd`; \
806        $(am__define_uniq_tagged_files); \
807        shift; \
808        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
809          test -n "$$unique" || unique=$$empty_fix; \
810          if test $$# -gt 0; then \
811            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
812              "$$@" $$unique; \
813          else \
814            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
815              $$unique; \
816          fi; \
817        fi
818ctags: ctags-am
819
820CTAGS: ctags
821ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
822        $(am__define_uniq_tagged_files); \
823        test -z "$(CTAGS_ARGS)$$unique" \
824          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
825             $$unique
826
827GTAGS:
828        here=`$(am__cd) $(top_builddir) && pwd` \
829          && $(am__cd) $(top_srcdir) \
830          && gtags -i $(GTAGS_ARGS) "$$here"
831cscopelist: cscopelist-am
832
833cscopelist-am: $(am__tagged_files)
834        list='$(am__tagged_files)'; \
835        case "$(srcdir)" in \
836          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
837          *) sdir=$(subdir)/$(srcdir) ;; \
838        esac; \
839        for i in $$list; do \
840          if test -f "$$i"; then \
841            echo "$(subdir)/$$i"; \
842          else \
843            echo "$$sdir/$$i"; \
844          fi; \
845        done >> $(top_builddir)/cscope.files
846
847distclean-tags:
848        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
849
850# Recover from deleted '.trs' file; this should ensure that
851# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
852# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
853# to avoid problems with "make -n".
854.log.trs:
855        rm -f $< $@
856        $(MAKE) $(AM_MAKEFLAGS) $<
857
858# Leading 'am--fnord' is there to ensure the list of targets does not
859# expand to empty, as could happen e.g. with make check TESTS=''.
860am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
861am--force-recheck:
862        @:
863
864$(TEST_SUITE_LOG): $(TEST_LOGS)
865        @$(am__set_TESTS_bases); \
866        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
867        redo_bases=`for i in $$bases; do \
868                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
869                    done`; \
870        if test -n "$$redo_bases"; then \
871          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
872          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
873          if $(am__make_dryrun); then :; else \
874            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
875          fi; \
876        fi; \
877        if test -n "$$am__remaking_logs"; then \
878          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
879               "recursion detected" >&2; \
880        elif test -n "$$redo_logs"; then \
881          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
882        fi; \
883        if $(am__make_dryrun); then :; else \
884          st=0;  \
885          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
886          for i in $$redo_bases; do \
887            test -f $$i.trs && test -r $$i.trs \
888              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
889            test -f $$i.log && test -r $$i.log \
890              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
891          done; \
892          test $$st -eq 0 || exit 1; \
893        fi
894        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
895        ws='[   ]'; \
896        results=`for b in $$bases; do echo $$b.trs; done`; \
897        test -n "$$results" || results=/dev/null; \
898        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
899        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
900        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
901        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
902        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
903        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
904        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
905        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
906          success=true; \
907        else \
908          success=false; \
909        fi; \
910        br='==================='; br=$$br$$br$$br$$br; \
911        result_count () \
912        { \
913            if test x"$$1" = x"--maybe-color"; then \
914              maybe_colorize=yes; \
915            elif test x"$$1" = x"--no-color"; then \
916              maybe_colorize=no; \
917            else \
918              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
919            fi; \
920            shift; \
921            desc=$$1 count=$$2; \
922            if test $$maybe_colorize = yes && test $$count -gt 0; then \
923              color_start=$$3 color_end=$$std; \
924            else \
925              color_start= color_end=; \
926            fi; \
927            echo "$${color_start}# $$desc $$count$${color_end}"; \
928        }; \
929        create_testsuite_report () \
930        { \
931          result_count $$1 "TOTAL:" $$all   "$$brg"; \
932          result_count $$1 "PASS: " $$pass  "$$grn"; \
933          result_count $$1 "SKIP: " $$skip  "$$blu"; \
934          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
935          result_count $$1 "FAIL: " $$fail  "$$red"; \
936          result_count $$1 "XPASS:" $$xpass "$$red"; \
937          result_count $$1 "ERROR:" $$error "$$mgn"; \
938        }; \
939        {                                                               \
940          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
941            $(am__rst_title);                                           \
942          create_testsuite_report --no-color;                           \
943          echo;                                                         \
944          echo ".. contents:: :depth: 2";                               \
945          echo;                                                         \
946          for b in $$bases; do echo $$b; done                           \
947            | $(am__create_global_log);                                 \
948        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
949        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
950        if $$success; then                                              \
951          col="$$grn";                                                  \
952         else                                                           \
953          col="$$red";                                                  \
954          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
955        fi;                                                             \
956        echo "$${col}$$br$${std}";                                      \
957        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
958        echo "$${col}$$br$${std}";                                      \
959        create_testsuite_report --maybe-color;                          \
960        echo "$$col$$br$$std";                                          \
961        if $$success; then :; else                                      \
962          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
963          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
964            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
965          fi;                                                           \
966          echo "$$col$$br$$std";                                        \
967        fi;                                                             \
968        $$success || exit 1
969
970check-TESTS:
971        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
972        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
973        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
974        @set +e; $(am__set_TESTS_bases); \
975        log_list=`for i in $$bases; do echo $$i.log; done`; \
976        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
977        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
978        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
979        exit $$?;
980recheck: all $(check_PROGRAMS)
981        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
982        @set +e; $(am__set_TESTS_bases); \
983        bases=`for i in $$bases; do echo $$i; done \
984                 | $(am__list_recheck_tests)` || exit 1; \
985        log_list=`for i in $$bases; do echo $$i.log; done`; \
986        log_list=`echo $$log_list`; \
987        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
988                am__force_recheck=am--force-recheck \
989                TEST_LOGS="$$log_list"; \
990        exit $$?
991testHeaders.log: testHeaders
992        @p='testHeaders'; \
993        b='testHeaders'; \
994        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
995        --log-file $$b.log --trs-file $$b.trs \
996        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
997        "$$tst" $(AM_TESTS_FD_REDIRECT)
998.test.log:
999        @p='$<'; \
1000        $(am__set_b); \
1001        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1002        --log-file $$b.log --trs-file $$b.trs \
1003        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1004        "$$tst" $(AM_TESTS_FD_REDIRECT)
1005#.test$(EXEEXT).log:
1006#       @p='$<'; \
1007#       $(am__set_b); \
1008#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1009#       --log-file $$b.log --trs-file $$b.trs \
1010#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1011#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1012
1013distdir: $(DISTFILES)
1014        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1015        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1016        list='$(DISTFILES)'; \
1017          dist_files=`for file in $$list; do echo $$file; done | \
1018          sed -e "s|^$$srcdirstrip/||;t" \
1019              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1020        case $$dist_files in \
1021          */*) $(MKDIR_P) `echo "$$dist_files" | \
1022                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1023                           sort -u` ;; \
1024        esac; \
1025        for file in $$dist_files; do \
1026          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1027          if test -d $$d/$$file; then \
1028            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1029            if test -d "$(distdir)/$$file"; then \
1030              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1031            fi; \
1032            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1033              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1034              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1035            fi; \
1036            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1037          else \
1038            test -f "$(distdir)/$$file" \
1039            || cp -p $$d/$$file "$(distdir)/$$file" \
1040            || exit 1; \
1041          fi; \
1042        done
1043check-am: all-am
1044        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1045        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1046check: check-am
1047all-am: Makefile $(LTLIBRARIES)
1048installdirs:
1049install: install-am
1050install-exec: install-exec-am
1051install-data: install-data-am
1052uninstall: uninstall-am
1053
1054install-am: all-am
1055        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1056
1057installcheck: installcheck-am
1058install-strip:
1059        if test -z '$(STRIP)'; then \
1060          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1061            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1062              install; \
1063        else \
1064          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1065            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1066            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1067        fi
1068mostlyclean-generic:
1069        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1070        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1071        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1072
1073clean-generic:
1074        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1075
1076distclean-generic:
1077        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1078        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1079
1080maintainer-clean-generic:
1081        @echo "This command is intended for maintainers to use"
1082        @echo "it deletes files that may require special tools to rebuild."
1083clean: clean-am
1084
1085clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1086        clean-noinstLTLIBRARIES mostlyclean-am
1087
1088distclean: distclean-am
1089        -rm -rf ./$(DEPDIR)
1090        -rm -f Makefile
1091distclean-am: clean-am distclean-compile distclean-generic \
1092        distclean-tags
1093
1094dvi: dvi-am
1095
1096dvi-am:
1097
1098html: html-am
1099
1100html-am:
1101
1102info: info-am
1103
1104info-am:
1105
1106install-data-am:
1107
1108install-dvi: install-dvi-am
1109
1110install-dvi-am:
1111
1112install-exec-am:
1113
1114install-html: install-html-am
1115
1116install-html-am:
1117
1118install-info: install-info-am
1119
1120install-info-am:
1121
1122install-man:
1123
1124install-pdf: install-pdf-am
1125
1126install-pdf-am:
1127
1128install-ps: install-ps-am
1129
1130install-ps-am:
1131
1132installcheck-am:
1133
1134maintainer-clean: maintainer-clean-am
1135        -rm -rf ./$(DEPDIR)
1136        -rm -f Makefile
1137maintainer-clean-am: distclean-am maintainer-clean-generic
1138
1139mostlyclean: mostlyclean-am
1140
1141mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1142        mostlyclean-libtool
1143
1144pdf: pdf-am
1145
1146pdf-am:
1147
1148ps: ps-am
1149
1150ps-am:
1151
1152uninstall-am:
1153
1154.MAKE: check-am install-am install-strip
1155
1156.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1157        clean-checkPROGRAMS clean-generic clean-libtool \
1158        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1159        distclean-compile distclean-generic distclean-libtool \
1160        distclean-tags distdir dvi dvi-am html html-am info info-am \
1161        install install-am install-data install-data-am install-dvi \
1162        install-dvi-am install-exec install-exec-am install-html \
1163        install-html-am install-info install-info-am install-man \
1164        install-pdf install-pdf-am install-ps install-ps-am \
1165        install-strip installcheck installcheck-am installdirs \
1166        maintainer-clean maintainer-clean-generic mostlyclean \
1167        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1168        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1169        uninstall-am
1170
1171.PRECIOUS: Makefile
1172
1173
1174$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1175
1176testHeaders: $(srcdir)/*.h
1177        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1178
1179.PHONY: testHeaders
1180
1181# Tell versions [3.59,3.63) of GNU make to not export all variables.
1182# Otherwise a system limit (for SysV at least) may be exceeded.
1183.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.